# Copyright 2005-2023 Canonical Limited.  All rights reserved.

from canonical.landscape.model.main.person import Person, get_person_by_id
from canonical.landscape.security.principals import PersonPrincipal


class Participation:

    interaction = None

    def __init__(self, call):
        self.principal = PersonPrincipal(get_person_by_id(call.principal.id))


class PersonParticipation:
    """A `Participation` class that directly wraps a `Person`."""

    interaction = None

    def __init__(self, person: Person):
        self.principal = PersonPrincipal(person)
