# Copyright 2005-2024 Canonical Limited.  All rights reserved.
try:
    from zope.component.registry import Components
except ImportError:
    from zope.interface.registry import Components


class Root:

    access_context = None  # Global access context

    def __init__(self, registry=None):
        if registry is None:
            registry = Components()
        self.registry = registry
