# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Update administrator limit to five people for all accounts with a limit lower
than that.
"""


def apply(store):
    print(__doc__)
    store.execute(
        "UPDATE account SET max_people_count = 5" "    WHERE max_people_count < 5"
    )
    store.execute(
        "ALTER TABLE account" "    ALTER COLUMN max_people_count SET DEFAULT 5"
    )
