# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add an index for activity.creation_time"""


statements = [
    """
CREATE INDEX activity_creation_time_idx ON activity (creation_time)
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
