# Copyright 2005-2013 Canonical Limited.  All rights reserved.
"""
Add the computer.update_manager_prompt column to the computer_status table.
"""


def apply(store):
    print(__doc__)
    store.execute(
        "ALTER TABLE computer_status "
        "ADD COLUMN update_manager_prompt VARCHAR(6) "
        "DEFAULT 'normal' NOT NULL"
    )
