# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Grant update privileges on the package_binary table."""


STATEMENTS = [
    """
    GRANT UPDATE
    ON TABLE package_binary TO landscape, landscape_maintenance
    """
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
