# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop remove_session_pkg_data TRIGGER and associated function.
"""


statements = [
    """
DROP TRIGGER remove_pkg_data ON session_data
""",
    """
DROP FUNCTION remove_session_pkg_data()
""",
]


def apply(store):
    print(__doc__)
    for statement in statements:
        store.execute(statement)
