# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Add creation_time column to computer."""


STATEMENTS = [
    """
ALTER TABLE computer ADD COLUMN accept_time TIMESTAMP NOT NULL
    DEFAULT (now() AT TIME ZONE 'UTC')
"""
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
