# Copyright 2005-2023 Canonical Limited. All rights reserved.

from zope.interface import Interface
from zope.schema import Object, TextLine

from canonical.landscape.model.main.interfaces import IAccount


class ISecrets(Interface):
    account = Object(
        title="Account",
        description="The account the secrets belong to",
        required=True,
        schema=IAccount,
    )
