# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Drop old topology tables."""


STATEMENTS = [
    "DROP TABLE node_controller",
    "DROP TABLE storage_controller",
    "DROP TABLE cluster_controller",
    "DROP TABLE walrus_controller",
    "DROP TABLE topology",
]


def apply(store):
    print(__doc__)

    for statement in STATEMENTS:
        store.execute(statement)
