# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""Cloud userdata must be binary safe. Use BYTEA instead of TEXT"""


STATEMENTS = [
    """
ALTER TABLE provisioned_system ALTER COLUMN userdata TYPE BYTEA USING
 convert_to(userdata, 'utf-8')
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
