# Copyright 2005-2013 Canonical Limited.  All rights reserved.

"""
Drop the synchronize_activities_for_computers function, as we no longer remove
activities when computers are removed.
"""


STATEMENTS = ["""DROP FUNCTION synchronize_activities_for_computers(integer[]);"""]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
