# Copyright 2005-2014 Canonical Limited.  All rights reserved.

"""
Add Activity.status.
"""


STATEMENTS = [
    """
ALTER TABLE activity ADD COLUMN status INTEGER
""",
    """
CREATE INDEX activity_status_idx ON activity (status)
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
