"""
Grant DELETE to the landscape postgresql user on usn and package tables.
"""


STTATEMENTS = [
    """
GRANT DELETE ON TABLE usn TO landscape
""",
    """
GRANT DELETE ON TABLE package TO landscape
""",
]


def apply(store):
    print(__doc__)
    for statement in STTATEMENTS:
        store.execute(statement)
