# Copyright 2005-2015 Canonical Ltd. All rights reserved.

"""Drop computer.removed from main store."""


STATEMENTS = [
    """
DELETE FROM computer WHERE removed
""",
    """
ALTER TABLE computer DROP COLUMN removed
""",
]


def apply(store):
    print(__doc__)
    for statement in STATEMENTS:
        store.execute(statement)
